Create installment advancement (outdated)

Creates an installment advancement for an account. An installment advancement moves one or more future installments to the current cycle.

To advance installments for a specific installment agreement (contract), set the condition field to SINGLE_CONTRACT, and set the transaction_id field to the transaction ID of any of the installments in the installment agreement. Specify the number of installments to advance in the number_of_installments_to_advance field. Installments are advanced starting with the last scheduled installment in the agreement and working backwards from there.

To advance all future installments for all installment agreements in the account, set the condition field to ALL_CONTRACTS. (In this case, the number_of_installments_to_advance field is ignored.)

When you advance installments, you must specify what to do with the interest. You have three options:

  1. To remove 100% of the interest on the advanced installment(s), set the remove_interest_from_current field to true and the calculator field to REMOVE_ALL_INTEREST.
  2. To advance 100% of the interest on the advanced installment(s), set remove_interest_from_current to false and set calculator to NONE.
  3. To recalculate the interest applied to the advanced installment(s), set calculator to PRESENT_VALUE. You can set the remove_interest_from_current field to either true or false. If true, the system recalculates interest on installments that were already in the current cycle (and did not need to be advanced). Otherwise, interest on those installments remains unchanged. For more information, refer to Installment advancements and Creating an installment advancment.

This endpoint generates an Installment advanced event.

(Outdated: For an updated version of this endpoint, refer to Create installment advancement).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required

Account ID

Body Params
int64

Transaction ID

string

Tracking ID. A client-supplied tracking ID that can be used to keep track of an advancement. Must consist of the characters [a-z,A-Z,0-9,-,:] with a range from 1 to 128.

string
enum

Installments should be advanced for all the contracts for an account (ALL_CONTRACTS) or for a specific contract (SINGLE_CONTRACT). If condition is set to SINGLE_CONTRACT, then the transaction_id field must be set to the transaction ID of the specific contract.

Allowed:
boolean
Defaults to false

Whether interest should be removed when an installment is advanced.

string
enum

Type of calculation to apply. Default is NONE.

Allowed:
string
enum

Reschedule mode to apply. Must be ADVANCEMENT.

Allowed:
int32

Number of installments to advance.

This field is REQUIRED if contract_condition is set to SPECIFIC_NUMBER_OF_INSTALLMENTS. If contract_condition is set to ALL_CONTRACTS, this field is ignored.

Headers
string

The Correlation Identifier field is used to link related API requests and events. The x-cid can help the Pismo engineering team track everything related to a call. You can find the x-cid field in the response header from an API endpoint call. If this field isn't passed, one is automatically generated.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json